#!/bin/bash 

# Assign parameters to variables 
HOST=$1 
USER=$2 
PASSWORD=$3

# geology
mkdir -p ./temp
wget -O ./temp/temp.zip -N "https://ostr-backend-prod.azurewebsites.net/server/api/core/bitstreams/a2141be1-5afb-41c7-9588-a135734c0f8a/content"
unzip -o -d ./temp/ ./temp/temp.zip
ogr2ogr -f MySQL MySQL:FACT_mine,host=$HOST,user=$USER,password=$PASSWORD ./temp/data/ArcMap9_ArcReader9/AllThemesMerged/gen.shp -nln geology -update -overwrite -lco engine=Aria -t_srs EPSG:4326
chmod -R u+w ./temp/
rm -rf ./temp

# single mineral maps
declare -a minerals=("phosphate" "podchrome" "laterite" "ree" "carbonatite" "nicrpge" "sedcu" "porcu" "sedexmvt" "sedznpb" "vms" "potash")
for m in "${minerals[@]}"
do
  mkdir -p ./temp
  wget -O ./temp/temp.zip -N "https://mrdata.usgs.gov/${m}/${m}-csv.zip"
  unzip -o -d ./temp/ ./temp/temp.zip
  ogr2ogr -f MySQL MySQL:FACT_mine,host=$HOST,user=$USER,password=$PASSWORD ./temp/${m}/${m}.shp -nln ${m} -update -overwrite -lco engine=Aria -t_srs EPSG:4326
  chmod -R u+w ./temp/
  rm -rf ./temp
done

# Global distribution of selected mines, deposits, and districts of critical minerals
mkdir -p ./temp
wget -O ./temp/temp.zip -N "https://www.sciencebase.gov/catalog/file/get/594d3c8ee4b062508e39b332?name=PP1802_CritMin_Shapefiles.zip"
unzip -o -d ./temp/ ./temp/temp.zip
ogr2ogr -f MySQL MySQL:FACT_mine,host=$HOST,user=$USER,password=$PASSWORD ./temp/PP1802_CritMin_pts.shp -nln global_selected -update -overwrite -lco engine=Aria -t_srs EPSG:4326
chmod -R u+w ./temp/
rm -rf ./temp
